Bug 239734 - RHEL 4.5.0 release notes -- Cluster Mirrors, New feature
RHEL 4.5.0 release notes -- Cluster Mirrors, New feature
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Kenna
Cluster QE
:
Depends On:
Blocks: Cluster4u5relnotes
  Show dependency treegraph
 
Reported: 2007-05-10 16:43 EDT by Paul Kennedy
Modified: 2015-04-19 20:47 EDT (History)
10 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 11:51:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2007-05-10 16:43:41 EDT
Add release notes for new feature, Cluster Mirrors (aka CLVM Mirrors), with Red
Hat Cluster Suite for RHEL 4.5.

Content supplied by Rob Kenna or Ben Kahn?
Comment 1 Don Domingo 2007-05-13 19:56:53 EDT
making this bug block tracker bug (BZ#239985)
Comment 2 Rob Kenna 2007-05-24 12:12:00 EDT
Synchronous Mirroring is now available as an addition to the Cluster Logical
Volume Manager (CLVM).  This provides for two leg mirrors with a single
transaction log which tracks blocks as they are duplicated.  This is synchronous
in that the write is not complete until both legs have been updated.

If one side of the mirror is lost, operation will continue on the remaining
side.  For this first version, even a temporary loss of one side will
necessitate a full recovery.  This recovery will occur in the back ground.

More than 2 legs can be configured, but the loss of any leg will require
dropping down to 1 side and the recreation of all others.  
Comment 3 Don Domingo 2007-05-24 19:36:11 EDT
revised for consistency and style:

<quote>
Synchronous Mirroring has been added to the Cluster Logical Volume Manager
(CLVM). This allows two leg mirrors to use a single transaction log, which track
blocks as they are duplicated. The write will not complete until both legs have
been updated.

If one leg of the mirror is lost, the operation will continue on the remaining
leg. Note that even a temporary loss of one leg will necessitate a full
recovery. This recovery will occur in the background.

More than two legs can be configured. However, the loss of any leg will require
dropping down to one leg and recreating all others.
</quote>

added to Cluster Suite 4.5 release notes; please advise if any revisions are
necessary.

Note You need to log in before you can comment on or make changes to this bug.